<!-- MyForm.vue -->
<template>
    <div class="font-sans">
        <table class="min-w-full bg-white border border-gray-300 ">
            <thead>
                <tr>
                    <th class="py-2 px-4 border-b bg-white  w-1/12">
                        <input type="checkbox" class="default:ring-2" />
                    </th>
                    <th class="py-2 px-4 border-b bg-white w-4/12 text-sm dark:text-gray-500">Nombre</th>
                    <th class="py-2 px-4 border-b bg-white w-2/12 text-sm dark:text-gray-500">Edad</th>
                    <th class="py-2 px-4 border-b bg-white w-2/12 text-sm dark:text-gray-500">Salario</th>
                    <th class="py-2 px-4 border-b bg-white w-1/12 text-sm dark:text-gray-500"></th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="(Listado, index) in Listado" :key="index">
                    <td class="py-2 px-4 border-b bg-white">
                        <input type="checkbox" class="default:ring-2" />
                        <label class="flex items-center space-x-2"></label>
                    </td>
                    <td class="py-2 px-4 border-b text-sm dark:text-gray-900">{{ Listado.firstName }} {{ Listado.maidenName
                    }} {{ Listado.lastName }}</td>
                    <td class="py-2 px-4 border-b text-sm dark:text-gray-900">{{ Listado.age }}</td>
                    <td class="py-2 px-4 border-b text-sm dark:text-gray-900">{{ Listado.weight }}</td>
                    <td class="py-2 px-4 border-b text-sm dark:text-gray-900">
                        <div class="dropdown dropdown-content">
                            <svg class="main-menu" xmlns="http://www.w3.org/2000/svg" width="20" height="20"
                                viewBox="0 0 128 512">
                                <path
                                    d="M64 360a56 56 0 1 0 0 112 56 56 0 1 0 0-112zm0-160a56 56 0 1 0 0 112 56 56 0 1 0 0-112zM120 96A56 56 0 1 0 8 96a56 56 0 1 0 112 0z" />
                            </svg>

                            <div class="submenu">
                                <a class="submenu-op" @click="editarDatos(Listado)" >Editar</a>
                                <a class="submenu-op">Dar de baja</a>
                            </div>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</template>
  
<script>
export default {
    props: {
        Listado: [],
        Skip: Number,
        Total: Number,
        Limite: Number
    },
    data() {
        return {
        };
    },
    methods: {
        editarDatos(item) {
            //datos del colaborador seleccionado se notifica para la asignacion y se muestra el modal
            this.$root.$emit('ModalVisible', true)
            this.$root.$emit('SetDatosColaborador', item)
        }
    },
};
</script>
<style>
/* Style for the container */
.dropdown {
    position: relative;
    display: inline-block;
}

/* Style for the main menu */
.dropdown .main-menu {
    padding: 10px;
    cursor: pointer;
}

/* Style for the submenu */
.dropdown .submenu {
    display: none;
    position: absolute;
    top: 40%;
    left: -285%;
    background-color: white;
    width: 120px;
    z-index: 999;
    /* background-color: #2980b9; */
}

/* Style for submenu items */
.dropdown .submenu a {
    display: block;
    padding: 10px;
    color: #000000;
    text-decoration: none;
}

/* Show the submenu when the main menu is hovered */
.dropdown:hover .submenu {
    display: block;
}
.submenu-op:hover {
    background-color: rgb(141, 138, 138);
}

</style>